import type { AdminState } from "@/modules/admin/types";
import {
  ResourceTypeStatus,
  type ResourceState,
} from "@/modules/resource/types";

export const testAdminState: AdminState = {
  project: {
    id: "9b3241c3-fa8c-413f-a8ae-3b2f8116f024",
    name: "Some Other Project",
    displayName: "Some Other Project",
  },
  projectQuotas: [
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 1,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 2,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 2,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "c2ff6445-c793-4591-89c9-39bd7845a760",
        specificType: "rdss3wormrwth",
      },
      resourceQuotas: [
        {
          resource: { id: "321ab675-1104-4dbd-af48-de5f9ad94c8b" },
          usedPercentage: 0,
          used: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/BYTE",
          },
          reserved: {
            value: 1,
            unit: "https://qudt.org/vocab/unit/GibiBYTE",
          },
        },
      ],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "aad875ab-7c5e-4602-bf00-521e8d0dcbf5",
        specificType: "rdss3ude",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "31a07098-b604-4e76-8c2d-4c1947d51409",
        specificType: "linked",
      },
      resourceQuotas: [
        {
          resource: { id: "625133e6-5f96-4a59-8629-b2d507ed2ccb" },
          used: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/BYTE",
          },
          reserved: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/GibiBYTE",
          },
        },
      ],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "60429070-f229-47da-8328-87f318152b94",
        specificType: "rdss3tudo",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "e7c3e103-0a3d-4d88-8ea9-b40b07410cd8",
        specificType: "rdsude",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "502ca81e-2d69-4270-be32-b23cdd732bf3",
        specificType: "rdss3nrw",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "1720b9e5-d13d-4da2-bc0c-2630a9654548",
        specificType: "rdsnrw",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "31bb99eb-6c09-4f2a-9a05-903c4cbc4ccc",
        specificType: "gitlab",
      },
      resourceQuotas: [
        {
          resource: { id: "9e01402a-571c-4867-816b-ff604817ec4f" },
          used: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/BYTE",
          },
          reserved: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/GibiBYTE",
          },
        },
      ],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 1,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 5,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 5,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "90b453a6-9a2c-4941-b100-82cfe8279b6e",
        specificType: "rdsrwth",
      },
      resourceQuotas: [
        {
          resource: { id: "887785a9-c6ea-4cdf-b85d-575201f9b551" },
          usedPercentage: 0,
          used: {
            value: 0,
            unit: "https://qudt.org/vocab/unit/BYTE",
          },
          reserved: {
            value: 1,
            unit: "https://qudt.org/vocab/unit/GibiBYTE",
          },
        },
      ],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0.0000015143305,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 4,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 5,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 6,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "92edf4f2-0e9e-4f09-a2dd-a313de25227d",
        specificType: "rdss3rwth",
      },
      resourceQuotas: [
        {
          resource: { id: "4103cbea-ffa3-40a5-9e5c-b99cc16f0007" },
          usedPercentage: 0.000037858263,
          used: {
            value: 1626,
            unit: "https://qudt.org/vocab/unit/BYTE",
          },
          reserved: {
            value: 4,
            unit: "https://qudt.org/vocab/unit/GibiBYTE",
          },
        },
      ],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "7d702d3f-80ec-45a5-8ed2-bd2524439de5",
        specificType: "s3",
      },
      resourceQuotas: [],
    },
    {
      projectId: "a93180bd-4e88-4115-8cf5-2faf6fa9063d",
      totalUsed: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      totalReserved: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      allocated: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      maximum: {
        value: 0,
        unit: "https://qudt.org/vocab/unit/GibiBYTE",
      },
      resourceType: {
        id: "0b97899c-3a13-4cb3-835b-f22387fd4300",
        specificType: "rdstudo",
      },
      resourceQuotas: [],
    },
  ],
};

export const testResourceState: ResourceState = {
  resourceTypes: [
    {
      id: "1720b9e5-d13d-4da2-bc0c-2630a9654548",
      generalType: "rds",
      specificType: "rdsnrw",
      status: ResourceTypeStatus.Hidden,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: false,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "c2ff6445-c793-4591-89c9-39bd7845a760",
      generalType: "rdss3worm",
      specificType: "rdss3wormrwth",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: false,
      canUpdateResource: false,
      canDelete: false,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: false,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: false,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "31a07098-b604-4e76-8c2d-4c1947d51409",
      generalType: "linked",
      specificType: "linked",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: false,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: false,
      isArchived: false,
      isQuotaAvailable: false,
      isQuotaAdjustable: false,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: true, editableKey: true },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "aad875ab-7c5e-4602-bf00-521e8d0dcbf5",
      generalType: "rdss3",
      specificType: "rdss3ude",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "90b453a6-9a2c-4941-b100-82cfe8279b6e",
      generalType: "rds",
      specificType: "rdsrwth",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "60429070-f229-47da-8328-87f318152b94",
      generalType: "rdss3",
      specificType: "rdss3tudo",
      status: ResourceTypeStatus.Hidden,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: false,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "31bb99eb-6c09-4f2a-9a05-903c4cbc4ccc",
      generalType: "gitlab",
      specificType: "gitlab",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: false,
      isArchived: false,
      isQuotaAvailable: false,
      isQuotaAdjustable: false,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "92edf4f2-0e9e-4f09-a2dd-a313de25227d",
      generalType: "rdss3",
      specificType: "rdss3rwth",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "502ca81e-2d69-4270-be32-b23cdd732bf3",
      generalType: "rdss3",
      specificType: "rdss3nrw",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "e7c3e103-0a3d-4d88-8ea9-b40b07410cd8",
      generalType: "rds",
      specificType: "rdsude",
      status: ResourceTypeStatus.Active,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: true,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
    {
      id: "0b97899c-3a13-4cb3-835b-f22387fd4300",
      generalType: "rds",
      specificType: "rdstudo",
      status: ResourceTypeStatus.Hidden,
      canCreate: true,
      canRead: true,
      canSetResourceReadonly: true,
      canUpdate: true,
      canUpdateResource: false,
      canDelete: true,
      canDeleteResource: false,
      canList: true,
      canCreateLinks: true,
      isArchived: false,
      isQuotaAvailable: true,
      isQuotaAdjustable: true,
      isEnabled: false,
      resourceContent: {
        readOnly: false,
        metadataView: { editableDataUrl: false, editableKey: false },
        entriesView: { columns: { always: new Set(["name", "size"]) } },
      },
    },
  ],
  enabledResourceTypes: null,
  allResources: null,
  currentId: null,
  classes: {},
  visitedResources: {},
};
